[tool.poetry]
name = "app"
version = "0.1.0"
description = ""
authors = ["tomoya <tomoya@choozmo.com>"]

[tool.poetry.dependencies]
python = "^3.10.0"
uvicorn = "^0.20.0"
fastapi = "^0.89.0"
mysql-connector-python = "^8.0.32"
mysqlclient = "^2.1.1"
python-multipart = "^0.0.5"
email-validator = "^1.0.5"
requests = "^2.23.0"
celery = "^5.2.7"
redis = "^4.5.0"
passlib = {extras = ["bcrypt"], version = "^1.7.2"}
tenacity = "^8.0.0"
pydantic = "^1.10.4"
emails = "^0.6"
raven = "^6.10.0"
gunicorn = "^20.1.0"
jinja2 = "^3.1.2"
psycopg2-binary = "^2.8.5"
alembic = "^1.9.0"
sqlalchemy = "^1.4.0"
pytest = "^7.2.0"
google-auth = "^2.16.2"
python-jose = {extras = ["cryptography"], version = "^3.3.0"}

[tool.poetry.dev-dependencies]
mypy = "^0.991"
black = "^19.10b0"
isort = "^5.11.0"
autoflake = "^1.3.1"
flake8 = "^6.0.0"
pytest = "^7.2.0"
sqlalchemy-stubs = "^0.4"
pytest-cov = "^4.0.0"

[tool.isort]
multi_line_output = 3
include_trailing_comma = true
force_grid_wrap = 0
line_length = 88
[build-system]
requires = ["poetry>=0.12"]
build-backend = "poetry.masonry.api"

